import 'package:flutter/material.dart';
import 'package:tanami_app/core/styles/app_color.dart';
import 'package:tanami_app/features/otpVerification/presentation/widgets/otp_fill_section.dart';

import '../widgets/otp_top_section.dart';
import '../widgets/resend_otp_section.dart';

class OtpLayout extends StatelessWidget {
  final String fromScreen;
  const OtpLayout({
    super.key,
    required this.fromScreen,
  });

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: AppColor.plainWhite,
      body: ListView(
        children: [
          const OtpTopSection(),
          OtpFillSection(
            fromScreen: fromScreen,
          ),
          const ResendOtpSection(),
        ],
      ),
    );
  }
}
